Update a Custom Audience Rule

Submit a JSON object in a PUT or POST request body.
Fields that are omitted or null will not be updated.

Rate limit: Tier 2
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

When updating a resource, you can use either PUT or POST.
You can submit only the fields of interest. Fields that are omitted or null, will remain unchanged.

EXAMPLES

Update a field

The JSON object in the request body represents the fields to update:

{  
    "display_name": "Updated Test Rule Name"
}

The response contains the updated Custom Audience Rule object:

{
   "id": 203,
   "display_name": "Updated Test Rule Name",
   "category": "ADD_TO_CART",
   "status": "ACTIVE",
   "type": "EVENT_BASED",
   "event_name": "add-to-cart",
   "condition": {
      "property": null,
      "predicate": null,
      "value": null,
      "children": []
   },
   "effects": [
      {
         "type": "REVENUE",
         "data": "15"
      }
   ],
   "include_in_total_conversions": true,
   "exclude_from_campaigns": false,
   "description": "abc",
   "advertiser_id": "taboola-demo-advertiser",
   "last_modified_by": "[email protected]",
   "audience_size": 12345
}

Archive a Custom Audience Rule

To archive a Custom Audience Rule, update it, and set the status to "ARCHIVED":

📘

Unlike other objects in the Taboola Backstage API, the Custom Audience Rule status field is not read-only.

{
   "status": "ARCHIVED"
}

The response contains the updated Custom Audience Rule object:

{
    "id": 203,
    "display_name": "Test Rule Name",
    "category": "ADD_TO_CART",
    "status": "ARCHIVED",
    "type": "EVENT_BASED",
    "event_name": "add-to-cart",
    "condition": {
        "property": null
        "predicate": "null",
        "value": "null",
        "children": [
            ]
    },
    "effects": [
        {
            "type": "REVENUE",
            "data": "15"
        }
    ],
    "description": "abc",
    "advertiser_id": "taboola-demo-advertiser",
    "last_modified_by": "[email protected]"
}

Unarchive a Custom Audience Rule

Similarly, to unarchive a Custom Audience Rule, update it, and set the status to "ACTIVE":

{
   "status": "ACTIVE"
}

As always, the response contains the updated Custom Audience Rule object:

{
    "id": 203,
    "display_name": "Test Rule Name",
    "category": "ADD_TO_CART",
    "status": "ACTIVE",
    "type": "EVENT_BASED",
    "event_name": "add-to-cart",
    "condition": {
        "property": null
        "predicate": "null",
        "value": "null",
        "children": [
            ]
    },
    "effects": [
        {
            "type": "REVENUE",
            "data": "15"
        }
    ],
    "description": "abc",
    "advertiser_id": "taboola-demo-advertiser",
    "last_modified_by": "[email protected]"
}
📘

Exclude From ALL Campaigns

To exclude a custom audience by default, set exclude_from_campaigns to true. (Applies to new and existing campaigns.)

You can override this behavior for a given campaign by updating its Custom Audience Targeting to target this audience.

Rate limit

🚧

Rate limit

Tier 2. Shares one budget with creating a custom audience rule. Reading custom audience rules, and all conversion rule endpoints, draw on separate budgets.

See Rate limits for the request allowance each tier carries.

Path Params
string
required
Defaults to demo-advertiser

An alphabetic ID. See Get Account Details.

string
required

A numeric ID.

Body Params
json
required
Defaults to { "display_name": "Updated Test Rule Name" }

A JSON object representing the fields to be updated. (See examples below.)

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json